{
	"java.import.gradle.java.home": "/usr/lib/jvm/java-17-openjdk",
	"java.jdt.ls.java.home": "/usr/lib/jvm/java-17-openjdk",
	"semanticTokens.enable": true,

	"inlayHint.enable": true,
	"inlayHint.display": true,
	"inlayHint.enableParameter": true,

  	"languageserver": {
    	"ccls": {
      		"command": "ccls",
			"filetypes": ["c", "cpp", "cuda", "objc", "objcpp"],
			"rootPatterns": [".ccls-root", "compile_commands.json"],
			"initializationOptions": {
				"cache": {
					"directory": ".ccls-cache"
				},
				"client": {
					"snippetSupport": true
        		}
      		}
    	}
  	}
}
